Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615390 - rpms build on RHEL6 Beta2 cant be installed on EL3 or EL4 or EL5
rpms build on RHEL6 Beta2 cant be installed on EL3 or EL4 or EL5
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm (Show other bugs)
6.0
i386 Linux
low Severity high
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 12:45 EDT by Karanbir Singh
Modified: 2011-09-15 07:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-16 13:34:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karanbir Singh 2010-07-16 12:45:51 EDT
Description of problem:
Packages built on RHEL6 fail to install on EL5 due to rpm changes

Version-Release number of selected component (if applicable):
on RHEL6 Beta, packages were built using : rpm-4.8.0-8.el6.x86_64
Client installed attempted using : rpm-4.4.2.3-18.el5

Actual results:
Installing the package using yum results in :

Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
rpmlib(FileDigests) is needed by areca_cli
rpmlib(PayloadIsXz) is needed by areca_cli

The same messages and errors are reported when using rpm directly off the command line

Expected results:
The package should just install
Comment 2 RHEL Product and Program Management 2010-07-16 13:17:37 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Bill Nottingham 2010-07-16 13:34:11 EDT
This is intentional... they're both features that we intend to use in RHEL 6 packages.

You can pass:
                --define "_source_filedigest_algorithm 1" \
                --define "_binary_filedigest_algorithm 1"
to rpm at build time to use older hashes, and you can pass:
                --define "_binary_payload w9.gzdio"
to rpm at build time to use older compression.

Certaily, an RFE could be entered to support these features on older RHEL, but that RFE would be against RHEL 4/RHEL 5.
Comment 4 Yury V. Zaytsev 2011-07-11 10:47:14 EDT
Shall I create such an RFE?

To my knowledge, Fedora/EPEL people regularly backport newer RPM features to enable their RHEL5 builders to cross-build packages for newest Fedora and RHEL6, so including this into at least into RHEL5 after an appropriate testing phase would be straightforward.
Comment 5 Yury V. Zaytsev 2011-07-16 16:03:18 EDT
As it turns out, RFEs for both features (stronger hashes and xz payload) are already filled:

https://bugzilla.redhat.com/show_bug.cgi?id=620674
https://bugzilla.redhat.com/show_bug.cgi?id=490613

Z.

Note You need to log in before you can comment on or make changes to this bug.